{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
{
"type": "validation_error",
"message": "There were one or more problems processing your request, see details key.",
"details": [
{
"type": "value_error.number.not_ge",
"message": "ensure this value is greater than or equal to 1",
"location": [
"items",
"0",
"face_value"
]
}
],
"help": null
}
{
"type": "rate_limit",
"message": "You've exceeded the rate limit, please wait a short period and try again.",
"help": "See https://developer.runa.io/rate-limits for details."
}
{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
Create a new order
Creates a new order, supports both sync and async execution modes
{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
{
"type": "validation_error",
"message": "There were one or more problems processing your request, see details key.",
"details": [
{
"type": "value_error.number.not_ge",
"message": "ensure this value is greater than or equal to 1",
"location": [
"items",
"0",
"face_value"
]
}
],
"help": null
}
{
"type": "rate_limit",
"message": "You've exceeded the rate limit, please wait a short period and try again.",
"help": "See https://developer.runa.io/rate-limits for details."
}
{
"type": "not_found",
"message": "The requested resource was not found",
"help": "Please check the resource ID and try again."
}
Need help with your first order?
We have a guide to help you get started with your first order including which
execution mode to use.
Authorizations
X-Api-Key
string
header
required
Your API key. See the API key page on details of how to generate and store your keys.
Scopes
create:order
Headers
X-Api-Version
enum<string>
default:2024-02-05
The dated version of the API, if not specified a default is used. See API versioning for more information.
The dated version of the Runa API. Send it on every request: a client that omits it silently follows whatever the server default happens to be.
Available options:
2024-02-05
X-Idempotency-Key
string
required
A unique string that prevents order duplication. See Idempotency for more information.
X-Execution-Mode
enum<string>
default:async
Whether to process the order synchronously or asynchronously. If this header is omitted we default to async. See which mode to use to help you decide which execution mode is right for your use case. Sync orders are limited to a single order item.
Available options:
async,
sync
Body
application/json
The details of the order to create.
payment_method
Payment Method · object
required
Payment method for the order. Select the ACCOUNT_BALANCE you want to pay for the order from
Show child attributes
items
Create order item · object[]
required
The list of items to be included in the order. Each item ordered results in a single payout link. The maximum number of items per order is 200.
Required array length: 1 - 200 elements
Show child attributes
description
string | null
Free format text reference for the order. The order description will not be visible to the end user. You will see this description in the Runa web portal.
This field is optional and can be omitted if not needed.
If not provided, the field will be set to null in the response.
Maximum string length: 128
Example:
"Your own reference text"
metadata
Metadata · object | null
A flexible field for you to attach additional, customer-specific data to the order. This is for your internal use, the information stored here will not be exposed to the end user.
All keys and their corresponding values must be strings
Each order supports up to 20 key-value pairs
Keys have a maximum length of 40 characters
Values can be up to 200 characters long.
This field is optional and can be omitted if not needed.
If not provided, the field will be set to null in the response.
Response that will be returned in sync execution mode. Order has successfully been completed.
Completed order
Accepted order
Used for an order that has completed. This class is typically used when returning a single order to the client.
id
string
required
The ID of the order.
Example:
"O-01H5WQGHKCBB85MQFM68S9KJ5Q"
status
enum<string>
required
Always COMPLETED for this schema.
Available options:
COMPLETED
Example:
"PROCESSING"
created_at
string<date-time>
required
UTC timestamp, in ISO 8601 format, when the order was submitted.
payment_method
Payment Method · object
required
The payment method used for the order.
Show child attributes
currency
string<iso-4217>
required
The currency of the order, represented by ISO 4217 currency codes. Please check the currency section in the guidelines for how to use this field.
Pattern: ^[A-Z]{3}$
Example:
"USD"
total_price
string<decimal>
required
The total price of the order. This includes any applicable fees.
Pattern: ^[0-9]+(\.[0-9]{1,2})?$
Example:
"10.00"
total_discount
string<decimal>
required
The total discount of the order.
Pattern: ^[0-9]+(\.[0-9]{1,2})?$
Example:
"1.00"
items
Completed order item · object[]
required
The list of items that were included in the order. Each item represents a single payout link.
Show child attributes
completed_at
string<date-time>
UTC timestamp, in ISO 8601 format, when the order was completed.
description
string | null
Free format text reference for the order. The order description will not be visible to the end user. You will see this description in the Runa web portal.
This field is optional and can be omitted if not needed.
If not provided, the field will be set to null in the response.
Maximum string length: 128
Example:
"Your own reference text"
transaction_detail
Transaction detail · object
A mapping of the subtotal of the order using the payout currency as a key.
Show child attributes
Example:
{ "USD": { "value": "10.00", "fx": null } }
metadata
Metadata · object | null
A flexible field for you to attach additional, customer-specific data to the order. This is for your internal use, the information stored here will not be exposed to the end user.
All keys and their corresponding values must be strings
Each order supports up to 20 key-value pairs
Keys have a maximum length of 40 characters
Values can be up to 200 characters long.
This field is optional and can be omitted if not needed.
If not provided, the field will be set to null in the response.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Runa Developer Hub","description":"Send instant B2C payments your recipients will love","colors":{"primary":"#62cc50","light":"#4fff7b","dark":"#3dd463"},"logo":{"light":"https://brand-assets.runa.io/logo-horizontal-black.svg","dark":"https://brand-assets.runa.io/logo-horizontal-white.svg"},"favicon":"https://mintcdn.com/runa/3fuhXTcDrFXCr5CT/favicon.svg?fit=max\u0026auto=format\u0026n=3fuhXTcDrFXCr5CT\u0026q=85\u0026s=34c8b1765044aaa9687fd1647ac25821","navbar":{"links":[],"primary":{"type":"button","label":"Back to app","href":"https://app.runa.io"}},"footer":{"socials":{"website":"https://runa.io","linkedin":"https://www.linkedin.com/company/runapayouts"}},"fonts":{"heading":{"family":"F37 Lineca","weight":600,"source":"https://brand-assets.runa.io/design-system/fonts/f37lineca/F37Lineca-Bold.woff2","format":"woff2"},"body":{"family":"Inter"}},"styling":{"eyebrows":"breadcrumbs","latex":true},"contextual":{"options":["copy","view","chatgpt","claude"],"display":"header"},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"runa","hasAudioNarration":false,"actualSubdomain":"runa","customDomains":["developer.runa.io"],"gitSource":{"type":"github","owner":"wegift","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":true,"issues":true,"agentFeedback":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af59cbe55654e521ba1c260","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"API Guides","count":29},{"language":"default","tag":"API Reference","count":22},{"language":"default","tag":"Features","count":14},{"language":"default","tag":"Changelogs","count":12},{"language":"default","tag":"Network","count":11},{"language":"default","tag":"Archived pages","count":8},{"language":"default","tag":"Before you go live","count":7},{"language":"default","tag":"Getting started","count":7},{"language":"default","tag":"Reference","count":7},{"language":"default","tag":"Webhooks","count":5}]},"assistantConfig":{"enableStarterQuestions":true,"deflection":{"enabled":true,"email":"support@runa.io","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"starterQuestions":[{"_id":"695cf0470512f37d886f09f6","deploymentId":"67e1763caf7c6a387185058a","questionText":"How should I handle errors from the API?","status":"active","generatedBy":"manual","createdAt":"2026-01-06T11:21:43.258Z","updatedAt":"2026-01-06T11:21:43.258Z","__v":0},{"_id":"695cf01e0512f37d886f0747","deploymentId":"67e1763caf7c6a387185058a","questionText":"How can I create my first order?","status":"active","generatedBy":"manual","createdAt":"2026-01-06T11:21:02.480Z","updatedAt":"2026-01-06T11:21:02.480Z","__v":0},{"_id":"695cf0140512f37d886f06a8","deploymentId":"67e1763caf7c6a387185058a","questionText":"How do I create an API key?","status":"active","generatedBy":"manual","createdAt":"2026-01-06T11:20:52.926Z","updatedAt":"2026-01-06T11:20:52.926Z","__v":0}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"html{overflow-y:scroll}#navbar{background:black!important;color-scheme:dark;color:white!important}#navbar-transition{background:black!important}#navbar .text-gray-800,#navbar .text-gray-600,#navbar .text-gray-700{color:white!important}.nav-logo.hidden{display:block!important}.nav-logo.block{display:none!important}#search-bar-entry{background:black!important;color:white!important;border:1px solid rgba(255, 255, 255, 0.9)}#assistant-entry{background:white}#assistant-entry .text-gray-700,#assistant-entry .text-gray-500{color:black!important}#chat-assistant-sheet{border-left:1px solid #e5e7eb}.nav-tabs [class*=\"h-[1.5px]\"]{height:3px!important}#navbar a[href=\"https://app.runa.io\"] .bg-primary-dark{background:linear-gradient(20deg, #00ffa3, #93ff82, #eefc51) border-box}#navbar a[href=\"https://app.runa.io\"] .text-white,#navbar a[href=\"https://app.runa.io\"] svg{color:black}#navigation-items .text-primary{color:black}#navigation-items .dark\\:text-primary-light:is(.dark *){color:rgb(var(--primary-light) / var(--tw-text-opacity))}#navigation-items .bg-primary{background-color:black}#navigation-items .dark\\:bg-primary-light:is(.dark *){background-color:rgb(var(--primary-light) / var(--tw-bg-opacity))}#navigation-items .bg-primary\\/10{background-color:rgb(var(--primary) / 0.2)}#navigation-items .dark\\:bg-primary-light\\/10:is(.dark *){background-color:rgb(var(--primary-light) / 0.2)}"},{"filePath":"welcome.css","content":".hero-button{background:linear-gradient(black, black) padding-box,\n linear-gradient(to top right, #00ffa3, #93ff82, #eefc51) border-box;border-radius:50em;border:2px solid transparent;border-radius:3rem;padding:0.75rem 2rem;font-size:1rem;color:white;font-weight:bold;text-decoration:none;text-transform:uppercase;transition:all 0.3s ease-in-out}.hero-button:hover{background:linear-gradient(black, black) padding-box,\n linear-gradient(to right, white, white) border-box}"}],"page":{"pagePath":"reference/2024-02-05/endpoint/orders/create","slug":"/reference/2024-02-05/endpoint/orders/create","pageMetadata":{"title":"Create a new order","openapi":"reference/2024-02-05/openapi.json POST /order","description":"Creates a new order, supports both sync and async execution modes","href":"/reference/2024-02-05/endpoint/orders/create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a new order, supports both sync and async execution modes\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={p:`p`,..._provideComponents(),...props.components},{Card}=_components;if(!Card)_missingMdxReference(`Card`,true);return _jsx(Card,{title:`Need help with your first order?`,href:`/getting-started/first-order/which-mode`,icon:`graduation-cap`,horizontal:true,arrow:true,children:_jsx(_components.p,{children:`We have a guide to help you get started with your first order including which\nexecution mode to use.`})})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a new order","openapi":"reference/2024-02-05/openapi.json POST /order","description":"Creates a new order, supports both sync and async execution modes","href":"/reference/2024-02-05/endpoint/orders/create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"createOrder","tags":["Orders"],"summary":"Create a new order.","description":"Creates a new order, supports both sync and async execution modes","security":["c13eaab4-84f0-4490-9451-d5069feeb89b"],"parameters":["c7e41c5c-bd20-4f2e-b388-c75c044afca6","08cc67a6-bc1d-4881-94c5-d6957da9e834","fcb22cea-d40b-4936-bb8a-2d77e1764f6f"],"responses":{"200":"d5a0a87d-7c92-4026-b35b-4117d2ed1ebd","202":"20900795-a387-4c0f-a164-b08fc8584020","400":"cbfc468f-341b-4595-a3c2-59629923858a","401":"118e6719-2460-4d19-b3fd-fe6609e50bcd","403":"fae21b3e-fa53-444e-bcc8-dccd4531c7fc","422":"1f9021e5-e1fc-4ed4-ba1e-85c148f7e57a","429":"a7ac1627-ea3f-4280-b80e-c95f83d54950","500":"d8262ea4-cb5e-4eee-9324-71546ff6bfda"},"requestBody":"0b6576f2-4a82-4791-a185-1c624450021e","method":"post","type":"path","servers":["fdd1598e-dfc9-4c40-b0fd-0c4c728eb490","78510288-7149-49e7-9c1f-3582a76e7efb"],"path":"/order","baseUrlOptions":["https://playground.runa.io/v2","https://api.runa.io/v2"],"title":"Create a new order.","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"c7e41c5c-bd20-4f2e-b388-c75c044afca6":{"name":"X-Api-Version","description":"The dated version of the API, if not specified a default is used. See [API versioning](/best-practices/api-versioning) for more information.","in":"header","required":false,"schema":{"title":"API version","type":"string","enum":["2024-02-05"],"default":"2024-02-05","description":"The dated version of the API, if not specified a default is used. See [API versioning](/best-practices/api-versioning) for more information.\nThe dated version of the Runa API. Send it on every request: a client that omits it silently follows whatever the server default happens to be.","isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"}},"08cc67a6-bc1d-4881-94c5-d6957da9e834":{"required":true,"name":"X-Idempotency-Key","schema":{"type":"string","isRequired":true,"description":"A unique string that prevents order duplication. See [Idempotency](/best-practices/idempotency) for more information.","uniqueKey":"","typeLabel":"string"},"in":"header","description":"A unique string that prevents order duplication. See [Idempotency](/best-practices/idempotency) for more information."},"fcb22cea-d40b-4936-bb8a-2d77e1764f6f":{"name":"X-Execution-Mode","schema":{"type":"string","enum":["async","sync"],"default":"async","description":"Whether to process the order synchronously or asynchronously. If this header is omitted we default to async. See [which mode to use](/getting-started/first-order/which-mode) to help you decide which execution mode is right for your use case. Sync orders are limited to a single order item.","uniqueKey":"","typeLabel":"enum\u003cstring>"},"in":"header","description":"Whether to process the order synchronously or asynchronously. If this header is omitted we default to async. See [which mode to use](/getting-started/first-order/which-mode) to help you decide which execution mode is right for your use case. Sync orders are limited to a single order item.","example":"async"}},"requestBody":{"required":true,"description":"The details of the order to create.","content":{"application/json":{"schema":{"title":"New order","required":["payment_method","items"],"type":"object","properties":{"payment_method":{"title":"Payment Method","required":["type","currency"],"type":"object","properties":{"type":{"type":"string","const":"ACCOUNT_BALANCE","description":"Account balance payment method.","isRequired":true,"uniqueKey":"payment_method.type","typeLabel":"string"},"currency":{"type":"string","format":"iso-4217","pattern":"^[A-Z]{3}$","description":"The currency of the account, represented by ISO 4217 currency codes. Check the [currencies](/reference/currencies) for a listing of supported currencies.","examples":["USD"],"isRequired":true,"uniqueKey":"payment_method.currency","typeLabel":"string\u003ciso-4217>"}},"description":"Payment method for the order. Select the `ACCOUNT_BALANCE` you want to pay for the order from","isRequired":true,"uniqueKey":"payment_method","typeLabel":"Payment Method · object"},"items":{"title":"Items","description":"The list of items to be included in the order. Each item ordered results in a single payout link. The maximum number of items per order is 200.","minItems":1,"maxItems":200,"type":"array","items":{"title":"Create order item","required":["face_value","distribution_method","products"],"type":"object","properties":{"face_value":{"title":"Face Value","description":"Face value of the payout link. The currency of the face value is inferred from the product selection.\n\nWhat value is allowed depends on the product mode:\n- When ordering a `SINGLE` product this field follows the allowed values from the selected product.\n- If using `MULTIPLE` or `TEMPLATE` this value must be: equal or greater than the minimum face value of the products selected and be a whole number.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].face_value","typeLabel":"string\u003cdecimal>"},"distribution_method":{"oneOf":[{"type":"object","title":"Email","description":"Email distribution. Send the payout link to the end user directly via email.","required":["type","email_address"],"properties":{"type":{"type":"string","const":"EMAIL","isRequired":true,"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.0.type","typeLabel":"string"},"email_address":{"title":"Email Address","description":"The email address of the end user to send the payout link to.","examples":["fred@example.com"],"type":"string","format":"email","isRequired":true,"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.0.email_address","typeLabel":"string\u003cemail>"},"template_id":{"oneOf":[{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.0.template_id.oneOf.0","typeLabel":"string"},{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"null","uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.0.template_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.0.template_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.0","typeLabel":"Email · object"},{"type":"object","title":"Link","description":"Link distribution. Send the payout link to the end user yourself.","required":["type"],"properties":{"type":{"type":"string","const":"PAYOUT_LINK","isRequired":true,"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.1.type","typeLabel":"string"},"template_id":{"oneOf":[{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.1.template_id.oneOf.0","typeLabel":"string"},{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"null","uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.1.template_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.1.template_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.1","typeLabel":"Link · object"},{"type":"object","title":"Recipient","description":"Recipient distribution. Currently this method is only supported for distributing payment type products. For subsequent orders to known recipients we will attempt to make a repeat payout.","required":["type","recipient_reference","email_address"],"properties":{"type":{"type":"string","const":"RECIPIENT","isRequired":true,"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.2.type","typeLabel":"string"},"recipient_reference":{"title":"Recipient Reference","description":"A customer provided reference to identify an individual recipient. It must be unique per recipient. When the same reference is used for a second order this will trigger a repeat payout. This is a free-form string limited to 255 characters. It can only contain alphanumeric characters, dashes, underscores, dots, and at-signs.","examples":["abc123"],"type":"string","maxLength":255,"pattern":"^[A-Za-z0-9-_@.]+$","isRequired":true,"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.2.recipient_reference","typeLabel":"string"},"email_address":{"title":"Email Address","description":"The email address of the end user to send the payout link to.","examples":["fred@example.com"],"type":"string","format":"email","isRequired":true,"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.2.email_address","typeLabel":"string\u003cemail>"},"template_id":{"oneOf":[{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.2.template_id.oneOf.0","typeLabel":"string"},{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"null","uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.2.template_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.2.template_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].distribution_method.oneOf.2","typeLabel":"Recipient · object"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].distribution_method","typeLabel":"Email · object | Link · object | Recipient · object"},"products":{"oneOf":[{"type":"object","title":"Single","description":"Single product. The end user will be able to redeem the payout link for this specific product.","required":["type","value"],"example":{"type":"SINGLE","value":"AMZ-US"},"properties":{"type":{"type":"string","const":"SINGLE","isRequired":true,"uniqueKey":"\\items.items.[INDEX].products.oneOf.0.type","typeLabel":"string"},"value":{"title":"Value","description":"The code for the product the end user will get when redeeming their payout link.","minLength":1,"examples":["AMZ-US"],"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].products.oneOf.0.value","typeLabel":"string"},"usage_config":{"title":"Usage configuration","type":"object","description":"Optional. **Only applicable to prepaid Visa cards.** Attaches an MCC-rules template to the issued card. Ignored for all other products. See [Card spend controls](/features/prepaid-visa/spend-controls) for a worked example. When set on a prepaid Visa card order, it is returned in the order details.","properties":{"spend_rules_template_id":{"title":"MCC rules template ID","description":"Identifier of a Runa-authored MCC-rules template applied to the issued card.\n\nOnly applicable to prepaid Visa cards. A single template is applied per card, with multiple rules that either allows or blocks transactions for a given merchant category bundled inside that one template.","type":"string","pattern":"^PSR-[0-9A-HJKMNP-TV-Z]{26}$","examples":["PSR-XXXXXXXXXXXXXXXXXXXXXXXXXX"],"uniqueKey":"\\items.items.[INDEX].products.oneOf.0.usage_config.spend_rules_template_id","typeLabel":"string"}},"uniqueKey":"\\items.items.[INDEX].products.oneOf.0.usage_config","typeLabel":"Usage configuration · object"}},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].products.oneOf.0","typeLabel":"Single · object"},{"type":"object","title":"Multiple","description":"Multiple products. The end user will be able to split the payout link's value between these products.","required":["type","values"],"properties":{"type":{"type":"string","const":"MULTIPLE","isRequired":true,"uniqueKey":"\\items.items.[INDEX].products.oneOf.1.type","typeLabel":"string"},"values":{"title":"Values","description":"The codes for the products the end user can choose from when redeeming their payout link. All products _must_ use the same currency.","examples":[["AMZ-US","AIRBNB-US"]],"minItems":2,"type":"array","items":{"type":"string","uniqueKey":"\\items.items.[INDEX].products.oneOf.1.values.items.[INDEX]","typeLabel":"string"},"uniqueItems":true,"isRequired":true,"uniqueKey":"\\items.items.[INDEX].products.oneOf.1.values","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].products.oneOf.1","typeLabel":"Multiple · object"},{"type":"object","title":"Template ID","description":"Payout selection template. Template having predefined set of products.","required":["type","template_id"],"properties":{"type":{"type":"string","const":"TEMPLATE","isRequired":true,"uniqueKey":"\\items.items.[INDEX].products.oneOf.2.type","typeLabel":"string"},"template_id":{"title":"Payout selection template ID","description":"The template ID for a Payout Selection Template.","examples":["PT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","isRequired":true,"uniqueKey":"\\items.items.[INDEX].products.oneOf.2.template_id","typeLabel":"string"}},"isRequired":true,"uniqueKey":"\\items.items.[INDEX].products.oneOf.2","typeLabel":"Template ID · object"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].products","typeLabel":"Single · object | Multiple · object | Template ID · object"}},"uniqueKey":"\\items.items.[INDEX]","typeLabel":"Create order item · object"},"isRequired":true,"uniqueKey":"\\items","typeLabel":"Create order item · object[]"},"description":{"oneOf":[{"title":"Description","description":"Free format text reference for the order. The order description will not be visible to the end user. You will see this description in the Runa web portal.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"string","maxLength":128,"examples":["Your own reference text"],"uniqueKey":"description.oneOf.0","typeLabel":"string"},{"title":"Description","description":"Free format text reference for the order. The order description will not be visible to the end user. You will see this description in the Runa web portal.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"null","maxLength":128,"examples":["Your own reference text"],"uniqueKey":"description.oneOf.1","typeLabel":"null"}],"uniqueKey":"description","typeLabel":"string | null"},"metadata":{"oneOf":[{"title":"Metadata","description":"A flexible field for you to attach additional, customer-specific data to the order. This is for your internal use, the information stored here will not be exposed to the end user.\n- All keys and their corresponding values must be strings\n- Each order supports up to 20 key-value pairs\n- Keys have a maximum length of 40 characters\n- Values can be up to 200 characters long.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"object","maxProperties":20,"propertyNames":{"type":"string","maxLength":40},"additionalProperties":{"type":"string","maxLength":200,"uniqueKey":"metadata.oneOf.0.additionalProperties","typeLabel":"string"},"examples":[{"internal_id":"12345","department":"marketing","campaign":"summer_2024"}],"uniqueKey":"metadata.oneOf.0","typeLabel":"Metadata · object"},{"title":"Metadata","description":"A flexible field for you to attach additional, customer-specific data to the order. This is for your internal use, the information stored here will not be exposed to the end user.\n- All keys and their corresponding values must be strings\n- Each order supports up to 20 key-value pairs\n- Keys have a maximum length of 40 characters\n- Values can be up to 200 characters long.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"null","maxProperties":20,"propertyNames":{"type":"string","maxLength":40},"additionalProperties":{"type":"string","maxLength":200,"uniqueKey":"metadata.oneOf.1.additionalProperties","typeLabel":"string"},"examples":[{"internal_id":"12345","department":"marketing","campaign":"summer_2024"}],"uniqueKey":"metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"metadata","typeLabel":"Metadata · object | null"}},"uniqueKey":"","typeLabel":"New order · object"},"examples":{"Example":{"title":"Example","value":{"payment_method":{"type":"ACCOUNT_BALANCE","currency":"USD"},"items":[{"face_value":"10.00","distribution_method":{"type":"EMAIL","email_address":"fred@example.com","template_id":"DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"},"products":{"type":"SINGLE","value":"AMZ-US"}}],"description":"Your own reference text","metadata":{"internal_id":"12345","department":"marketing","campaign":"summer_2024"}}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"d5a0a87d-7c92-4026-b35b-4117d2ed1ebd":{"description":"Response that will be returned in sync execution mode. Order has successfully been completed.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"Completed order","description":"Used for an order that has completed. This class is typically used when returning a *single order* to the client.","required":["items","id","status","created_at","payment_method","currency","total_price","total_discount"],"properties":{"id":{"title":"Order ID","description":"The ID of the order.","type":"string","examples":["O-01H5WQGHKCBB85MQFM68S9KJ5Q"],"isRequired":true,"uniqueKey":"oneOf.0.id","typeLabel":"string"},"status":{"type":"string","title":"Order status","description":"Always `COMPLETED` for this schema.","enum":["COMPLETED"],"example":"PROCESSING","isRequired":true,"uniqueKey":"oneOf.0.status","typeLabel":"enum\u003cstring>"},"created_at":{"title":"Created At","description":"UTC timestamp, in ISO 8601 format, when the order was submitted.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"oneOf.0.created_at","typeLabel":"string\u003cdate-time>"},"payment_method":{"title":"Payment Method","required":["type"],"type":"object","properties":{"type":{"type":"string","const":"ACCOUNT_BALANCE","description":"Account balance payment.","isRequired":true,"uniqueKey":"oneOf.0.payment_method.type","typeLabel":"string"},"currency":{"type":"string","format":"iso-4217","pattern":"^[A-Z]{3}$","description":"The currency of the account, represented by ISO 4217 currency codes. Check the [currencies](/reference/currencies) for a listing of supported currencies.","examples":["USD"],"uniqueKey":"oneOf.0.payment_method.currency","typeLabel":"string\u003ciso-4217>"}},"description":"The payment method used for the order.","isRequired":true,"uniqueKey":"oneOf.0.payment_method","typeLabel":"Payment Method · object"},"currency":{"type":"string","format":"iso-4217","pattern":"^[A-Z]{3}$","description":"The currency of the order, represented by ISO 4217 currency codes. Please check the currency section in the guidelines for how to use this field.","examples":["USD"],"isRequired":true,"uniqueKey":"oneOf.0.currency","typeLabel":"string\u003ciso-4217>"},"total_price":{"title":"Total Price","description":"The total price of the order. This _includes_ any applicable fees.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"isRequired":true,"uniqueKey":"oneOf.0.total_price","typeLabel":"string\u003cdecimal>"},"total_discount":{"title":"Total Discount","description":"The total discount of the order.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["1.00"],"isRequired":true,"uniqueKey":"oneOf.0.total_discount","typeLabel":"string\u003cdecimal>"},"items":{"title":"Items","description":"The list of items that were included in the order. Each _item_ represents a single payout link.","type":"array","items":{"title":"Completed order item","type":"object","properties":{"id":{"title":"ID","description":"The ID of the order item.","examples":["E-NWPEKW4VL"],"type":"string","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].id","typeLabel":"string"},"distribution_method":{"oneOf":[{"type":"object","title":"Email","description":"Email distribution. Send the payout link to the end user directly via email.","required":["type","email_address"],"properties":{"type":{"type":"string","const":"EMAIL","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0.type","typeLabel":"string"},"email_address":{"title":"Email Address","description":"The email address of the end user to send the payout link to.","examples":["fred@example.com"],"type":"string","format":"email","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0.email_address","typeLabel":"string\u003cemail>"},"template_id":{"oneOf":[{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0.template_id.oneOf.0","typeLabel":"string"},{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"null","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0.template_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0.template_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0","typeLabel":"Email · object"},{"type":"object","title":"Link","description":"Link distribution. Send the payout link to the end user yourself.","required":["type"],"properties":{"type":{"type":"string","const":"PAYOUT_LINK","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.1.type","typeLabel":"string"},"template_id":{"oneOf":[{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.1.template_id.oneOf.0","typeLabel":"string"},{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"null","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.1.template_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.1.template_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.1","typeLabel":"Link · object"},{"type":"object","title":"Recipient","description":"Recipient distribution. Currently this method is only supported for distributing payment type products. For subsequent orders to known recipients we will attempt to make a repeat payout.","required":["type","recipient_reference","email_address"],"properties":{"type":{"type":"string","const":"RECIPIENT","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.type","typeLabel":"string"},"recipient_reference":{"title":"Recipient Reference","description":"A customer provided reference to identify an individual recipient. It must be unique per recipient. When the same reference is used for a second order this will trigger a repeat payout. This is a free-form string limited to 255 characters. It can only contain alphanumeric characters, dashes, underscores, dots, and at-signs.","examples":["abc123"],"type":"string","maxLength":255,"pattern":"^[A-Za-z0-9-_@.]+$","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.recipient_reference","typeLabel":"string"},"email_address":{"title":"Email Address","description":"The email address of the end user to send the payout link to.","examples":["fred@example.com"],"type":"string","format":"email","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.email_address","typeLabel":"string\u003cemail>"},"template_id":{"oneOf":[{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.template_id.oneOf.0","typeLabel":"string"},{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"null","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.template_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.template_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2","typeLabel":"Recipient · object"}],"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method","typeLabel":"Email · object | Link · object | Recipient · object"},"products":{"oneOf":[{"type":"object","title":"Multiple","description":"Multiple products. The end user will be able to split the payout link's value between these products.","required":["type","values"],"properties":{"type":{"type":"string","const":"MULTIPLE","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.0.type","typeLabel":"string"},"values":{"title":"Values","description":"The codes for the products the end user can choose from when redeeming their payout link. All products _must_ use the same currency.","examples":[["AMZ-US","AIRBNB-US"]],"minItems":2,"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.0.values.items.[INDEX]","typeLabel":"string"},"uniqueItems":true,"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.0.values","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.0","typeLabel":"Multiple · object"},{"type":"object","title":"Single","description":"Single product. The end user will be able to redeem the payout link for this specific product.","required":["type","value"],"example":{"type":"SINGLE","value":"AMZ-US"},"properties":{"type":{"type":"string","const":"SINGLE","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.1.type","typeLabel":"string"},"value":{"title":"Value","description":"The code for the product the end user will get when redeeming their payout link.","minLength":1,"examples":["AMZ-US"],"type":"string","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.1.value","typeLabel":"string"},"usage_config":{"title":"Usage configuration","type":"object","description":"Optional. **Only applicable to prepaid Visa cards.** Attaches an MCC-rules template to the issued card. Ignored for all other products. See [Card spend controls](/features/prepaid-visa/spend-controls) for a worked example. When set on a prepaid Visa card order, it is returned in the order details.","properties":{"spend_rules_template_id":{"title":"MCC rules template ID","description":"Identifier of a Runa-authored MCC-rules template applied to the issued card.\n\nOnly applicable to prepaid Visa cards. A single template is applied per card, with multiple rules that either allows or blocks transactions for a given merchant category bundled inside that one template.","type":"string","pattern":"^PSR-[0-9A-HJKMNP-TV-Z]{26}$","examples":["PSR-XXXXXXXXXXXXXXXXXXXXXXXXXX"],"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.1.usage_config.spend_rules_template_id","typeLabel":"string"}},"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.1.usage_config","typeLabel":"Usage configuration · object"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.1","typeLabel":"Single · object"},{"type":"object","title":"Template","description":"Payout selection template. Template having predefined set of products.","required":["type","template_id"],"properties":{"type":{"type":"string","const":"TEMPLATE","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.2.type","typeLabel":"string"},"template_id":{"title":"Payout selection template ID","description":"The template ID for a Payout Selection Template.","examples":["PT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.2.template_id","typeLabel":"string"},"values":{"title":"Values","description":"The codes for products selected for Payout Selection Template.","examples":[["AMZ-US","AIRBNB-US"]],"minItems":2,"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.2.values.items.[INDEX]","typeLabel":"string"},"uniqueItems":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.2.values","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.2","typeLabel":"Template · object"},{"type":"object","title":"Unknown","description":"Product(s) unknown. It was not possible to determine which products were included in the order.","required":["type"],"properties":{"type":{"title":"Type","description":"It is not currently possible to determine which products were selected when this item was ordered.","type":"string","const":"UNKNOWN","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.3.type","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.3","typeLabel":"Unknown · object"}],"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products","typeLabel":"Multiple · object | Single · object | Template · object | Unknown · object"},"face_value":{"title":"Face Value","description":"The face value of the payout link.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].face_value","typeLabel":"string\u003cdecimal>"},"price":{"title":"Price","description":"The price paid for the payout link.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].price","typeLabel":"string\u003cdecimal>"},"payout":{"title":"Payout","type":"object","properties":{"status":{"title":"Payout status","type":"string","description":"Current status of the payout link. An `ACTIVE` link is live but has not been claimed yet, it will change to `CLAIMED` once that has happened. If you request a cancellation the status will reflect this as `CANCELLED`. Finally, if your account is configured with link expiry, when the link itself expires it will be marked as `EXPIRED` — this is independent of the underlying product's own expiry policy.","enum":["ACTIVE","CLAIMED","CANCELLED","EXPIRED"],"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.status","typeLabel":"enum\u003cstring>"},"status_updated_at":{"title":"Status Updated At","description":"Time that the payout link status was last updated","type":"string","format":"date-time","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.status_updated_at","typeLabel":"string\u003cdate-time>"},"url":{"title":"Url","description":"The URL (payout link) the end user uses to redeem.","type":"string","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.url","typeLabel":"string"},"expiry_date":{"oneOf":[{"title":"Expiry Date","description":"When the payout link expires. This is the expiry of the payout link itself, not the underlying gift card or product.\n\nIf your account does not have expiry of links enabled this field will be set to `null`, the link does not expire.","type":"string","format":"date-time","uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.expiry_date.oneOf.0","typeLabel":"string\u003cdate-time>"},{"title":"Expiry Date","description":"When the payout link expires. This is the expiry of the payout link itself, not the underlying gift card or product.\n\nIf your account does not have expiry of links enabled this field will be set to `null`, the link does not expire.","type":"null","format":"date-time","uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.expiry_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.expiry_date","typeLabel":"string\u003cdate-time> | null"}},"required":["status","status_updated_at","url"],"description":"Payout link details","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].payout","typeLabel":"Payout · object"},"currency":{"type":"string","format":"iso-4217","pattern":"^[A-Z]{3}$","description":"The currency of the payout link, represented by ISO 4217 currency codes.","examples":["USD"],"uniqueKey":"oneOf.0.\\items.items.[INDEX].currency","typeLabel":"string\u003ciso-4217>"}},"required":["id","distribution_method","products","face_value","price","payout"],"uniqueKey":"oneOf.0.\\items.items.[INDEX]","typeLabel":"Completed order item · object"},"isRequired":true,"uniqueKey":"oneOf.0.\\items","typeLabel":"Completed order item · object[]"},"completed_at":{"title":"Completed At","description":"UTC timestamp, in ISO 8601 format, when the order was completed.","type":"string","format":"date-time","uniqueKey":"oneOf.0.completed_at","typeLabel":"string\u003cdate-time>"},"description":{"oneOf":[{"title":"Description","description":"Free format text reference for the order. The order description will not be visible to the end user. You will see this description in the Runa web portal.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"string","maxLength":128,"examples":["Your own reference text"],"uniqueKey":"oneOf.0.description.oneOf.0","typeLabel":"string"},{"title":"Description","description":"Free format text reference for the order. The order description will not be visible to the end user. You will see this description in the Runa web portal.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"null","maxLength":128,"examples":["Your own reference text"],"uniqueKey":"oneOf.0.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.description","typeLabel":"string | null"},"transaction_detail":{"title":"Transaction detail","description":"A mapping of the subtotal of the order using the payout currency as a key.","type":"object","examples":[{"USD":{"value":"10.00","fx":null}}],"propertyNames":{"$ref":"#/components/schemas/Currency"},"additionalProperties":{"type":"object","title":"Transaction detail entry","description":"A subtotal of the value purchased and associated fees and data about the transaction.","properties":{"value":{"title":"Value","description":"The total value purchased of a payout link currency.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.value","typeLabel":"string\u003cdecimal>"},"fx":{"oneOf":[{"type":"object","title":"FX details","description":"Provides details on fx conversion for an order transaction detail. Present when the payment method currency is different from the transaction detail currency.","required":["rate","rate_symbol","fee"],"properties":{"rate":{"title":"FX Rate","description":"The FX rate received for the transaction between the payout currency and payment currency.","type":"string","examples":["1.234"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0.rate","typeLabel":"string"},"rate_symbol":{"title":"FX Rate symbol","description":"The currency pair associated with the FX transaction.","type":"string","examples":["GBPUSD"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0.rate_symbol","typeLabel":"string"},"fee":{"title":"Fee","description":"The fee charged for making this transaction.","type":"object","properties":{"value":{"title":"Value","description":"The value of the fee.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["0.02"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0.fee.value","typeLabel":"string\u003cdecimal>"},"currency":{"title":"Currency","description":"The currency of the fee.","type":"string","examples":["USD"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0.fee.currency","typeLabel":"string"}},"required":["value","currency"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0.fee","typeLabel":"Fee · object"}},"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0","typeLabel":"FX details · object"},{"type":"null","title":"FX","description":"Present only when the payment method currency differs from the transaction detail currency. `null` otherwise.","uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx","typeLabel":"FX details · object | null"}},"required":["value"],"uniqueKey":"oneOf.0.transaction_detail.additionalProperties","typeLabel":"Transaction detail entry · object"},"uniqueKey":"oneOf.0.transaction_detail","typeLabel":"Transaction detail · object"},"metadata":{"oneOf":[{"title":"Metadata","description":"A flexible field for you to attach additional, customer-specific data to the order. This is for your internal use, the information stored here will not be exposed to the end user.\n- All keys and their corresponding values must be strings\n- Each order supports up to 20 key-value pairs\n- Keys have a maximum length of 40 characters\n- Values can be up to 200 characters long.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"object","maxProperties":20,"propertyNames":{"type":"string","maxLength":40},"additionalProperties":{"type":"string","maxLength":200,"uniqueKey":"oneOf.0.metadata.oneOf.0.additionalProperties","typeLabel":"string"},"examples":[{"internal_id":"12345","department":"marketing","campaign":"summer_2024"}],"uniqueKey":"oneOf.0.metadata.oneOf.0","typeLabel":"Metadata · object"},{"title":"Metadata","description":"A flexible field for you to attach additional, customer-specific data to the order. This is for your internal use, the information stored here will not be exposed to the end user.\n- All keys and their corresponding values must be strings\n- Each order supports up to 20 key-value pairs\n- Keys have a maximum length of 40 characters\n- Values can be up to 200 characters long.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"null","maxProperties":20,"propertyNames":{"type":"string","maxLength":40},"additionalProperties":{"type":"string","maxLength":200,"uniqueKey":"oneOf.0.metadata.oneOf.1.additionalProperties","typeLabel":"string"},"examples":[{"internal_id":"12345","department":"marketing","campaign":"summer_2024"}],"uniqueKey":"oneOf.0.metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.metadata","typeLabel":"Metadata · object | null"}},"uniqueKey":"oneOf.0","typeLabel":"Completed order · object"},{"type":"object","title":"Accepted order","description":"The body of `POST /order`. `COMPLETED` (HTTP 200) when the order was executed synchronously, `PROCESSING` (HTTP 202) when it was accepted for asynchronous processing. Asynchronous is the default execution mode; send `X-Execution-Mode: sync` for the synchronous path. Branch on `status`.","required":["id","status"],"properties":{"id":{"title":"Order ID","description":"The ID of the order.","type":"string","examples":["O-01H5WQGHKCBB85MQFM68S9KJ5Q"],"isRequired":true,"uniqueKey":"oneOf.1.id","typeLabel":"string"},"status":{"type":"string","const":"PROCESSING","description":"Always `PROCESSING` for this schema.","isRequired":true,"uniqueKey":"oneOf.1.status","typeLabel":"string"}},"uniqueKey":"oneOf.1","typeLabel":"Accepted order · object"}],"uniqueKey":"","typeLabel":"Completed order · object | Accepted order · object"},"examples":{"Example":{"title":"Example","value":{"id":"O-01H5WQGHKCBB85MQFM68S9KJ5Q","status":"PROCESSING","created_at":"2023-11-07T05:31:56Z","payment_method":{"type":"ACCOUNT_BALANCE","currency":"USD"},"currency":"USD","total_price":"10.00","total_discount":"1.00","items":[{"id":"E-NWPEKW4VL","distribution_method":{"type":"EMAIL","email_address":"fred@example.com","template_id":"DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"},"products":{"type":"MULTIPLE","values":["AMZ-US","AIRBNB-US"]},"face_value":"10.00","price":"10.00","payout":{"status":"ACTIVE","status_updated_at":"2023-11-07T05:31:56Z","url":"\u003cstring>","expiry_date":"2023-11-07T05:31:56Z"},"currency":"USD"}],"completed_at":"2023-11-07T05:31:56Z","description":"Your own reference text","transaction_detail":{"USD":{"value":"10.00","fx":null}},"metadata":{"internal_id":"12345","department":"marketing","campaign":"summer_2024"}}}},"exampleType":"generated"}},"exampleType":"generated"},"20900795-a387-4c0f-a164-b08fc8584020":{"description":"Response that will be returned in async execution mode. Order has successfully been accepted.","content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"Completed order","description":"Used for an order that has completed. This class is typically used when returning a *single order* to the client.","required":["items","id","status","created_at","payment_method","currency","total_price","total_discount"],"properties":{"id":{"title":"Order ID","description":"The ID of the order.","type":"string","examples":["O-01H5WQGHKCBB85MQFM68S9KJ5Q"],"isRequired":true,"uniqueKey":"oneOf.0.id","typeLabel":"string"},"status":{"type":"string","title":"Order status","description":"Always `COMPLETED` for this schema.","enum":["COMPLETED"],"example":"PROCESSING","isRequired":true,"uniqueKey":"oneOf.0.status","typeLabel":"enum\u003cstring>"},"created_at":{"title":"Created At","description":"UTC timestamp, in ISO 8601 format, when the order was submitted.","type":"string","format":"date-time","isRequired":true,"uniqueKey":"oneOf.0.created_at","typeLabel":"string\u003cdate-time>"},"payment_method":{"title":"Payment Method","required":["type"],"type":"object","properties":{"type":{"type":"string","const":"ACCOUNT_BALANCE","description":"Account balance payment.","isRequired":true,"uniqueKey":"oneOf.0.payment_method.type","typeLabel":"string"},"currency":{"type":"string","format":"iso-4217","pattern":"^[A-Z]{3}$","description":"The currency of the account, represented by ISO 4217 currency codes. Check the [currencies](/reference/currencies) for a listing of supported currencies.","examples":["USD"],"uniqueKey":"oneOf.0.payment_method.currency","typeLabel":"string\u003ciso-4217>"}},"description":"The payment method used for the order.","isRequired":true,"uniqueKey":"oneOf.0.payment_method","typeLabel":"Payment Method · object"},"currency":{"type":"string","format":"iso-4217","pattern":"^[A-Z]{3}$","description":"The currency of the order, represented by ISO 4217 currency codes. Please check the currency section in the guidelines for how to use this field.","examples":["USD"],"isRequired":true,"uniqueKey":"oneOf.0.currency","typeLabel":"string\u003ciso-4217>"},"total_price":{"title":"Total Price","description":"The total price of the order. This _includes_ any applicable fees.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"isRequired":true,"uniqueKey":"oneOf.0.total_price","typeLabel":"string\u003cdecimal>"},"total_discount":{"title":"Total Discount","description":"The total discount of the order.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["1.00"],"isRequired":true,"uniqueKey":"oneOf.0.total_discount","typeLabel":"string\u003cdecimal>"},"items":{"title":"Items","description":"The list of items that were included in the order. Each _item_ represents a single payout link.","type":"array","items":{"title":"Completed order item","type":"object","properties":{"id":{"title":"ID","description":"The ID of the order item.","examples":["E-NWPEKW4VL"],"type":"string","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].id","typeLabel":"string"},"distribution_method":{"oneOf":[{"type":"object","title":"Email","description":"Email distribution. Send the payout link to the end user directly via email.","required":["type","email_address"],"properties":{"type":{"type":"string","const":"EMAIL","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0.type","typeLabel":"string"},"email_address":{"title":"Email Address","description":"The email address of the end user to send the payout link to.","examples":["fred@example.com"],"type":"string","format":"email","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0.email_address","typeLabel":"string\u003cemail>"},"template_id":{"oneOf":[{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0.template_id.oneOf.0","typeLabel":"string"},{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"null","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0.template_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0.template_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.0","typeLabel":"Email · object"},{"type":"object","title":"Link","description":"Link distribution. Send the payout link to the end user yourself.","required":["type"],"properties":{"type":{"type":"string","const":"PAYOUT_LINK","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.1.type","typeLabel":"string"},"template_id":{"oneOf":[{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.1.template_id.oneOf.0","typeLabel":"string"},{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"null","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.1.template_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.1.template_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.1","typeLabel":"Link · object"},{"type":"object","title":"Recipient","description":"Recipient distribution. Currently this method is only supported for distributing payment type products. For subsequent orders to known recipients we will attempt to make a repeat payout.","required":["type","recipient_reference","email_address"],"properties":{"type":{"type":"string","const":"RECIPIENT","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.type","typeLabel":"string"},"recipient_reference":{"title":"Recipient Reference","description":"A customer provided reference to identify an individual recipient. It must be unique per recipient. When the same reference is used for a second order this will trigger a repeat payout. This is a free-form string limited to 255 characters. It can only contain alphanumeric characters, dashes, underscores, dots, and at-signs.","examples":["abc123"],"type":"string","maxLength":255,"pattern":"^[A-Za-z0-9-_@.]+$","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.recipient_reference","typeLabel":"string"},"email_address":{"title":"Email Address","description":"The email address of the end user to send the payout link to.","examples":["fred@example.com"],"type":"string","format":"email","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.email_address","typeLabel":"string\u003cemail>"},"template_id":{"oneOf":[{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.template_id.oneOf.0","typeLabel":"string"},{"title":"User redemption template ID","description":"The template ID for a User Redemption Template.","examples":["DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"null","uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.template_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2.template_id","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method.oneOf.2","typeLabel":"Recipient · object"}],"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].distribution_method","typeLabel":"Email · object | Link · object | Recipient · object"},"products":{"oneOf":[{"type":"object","title":"Multiple","description":"Multiple products. The end user will be able to split the payout link's value between these products.","required":["type","values"],"properties":{"type":{"type":"string","const":"MULTIPLE","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.0.type","typeLabel":"string"},"values":{"title":"Values","description":"The codes for the products the end user can choose from when redeeming their payout link. All products _must_ use the same currency.","examples":[["AMZ-US","AIRBNB-US"]],"minItems":2,"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.0.values.items.[INDEX]","typeLabel":"string"},"uniqueItems":true,"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.0.values","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.0","typeLabel":"Multiple · object"},{"type":"object","title":"Single","description":"Single product. The end user will be able to redeem the payout link for this specific product.","required":["type","value"],"example":{"type":"SINGLE","value":"AMZ-US"},"properties":{"type":{"type":"string","const":"SINGLE","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.1.type","typeLabel":"string"},"value":{"title":"Value","description":"The code for the product the end user will get when redeeming their payout link.","minLength":1,"examples":["AMZ-US"],"type":"string","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.1.value","typeLabel":"string"},"usage_config":{"title":"Usage configuration","type":"object","description":"Optional. **Only applicable to prepaid Visa cards.** Attaches an MCC-rules template to the issued card. Ignored for all other products. See [Card spend controls](/features/prepaid-visa/spend-controls) for a worked example. When set on a prepaid Visa card order, it is returned in the order details.","properties":{"spend_rules_template_id":{"title":"MCC rules template ID","description":"Identifier of a Runa-authored MCC-rules template applied to the issued card.\n\nOnly applicable to prepaid Visa cards. A single template is applied per card, with multiple rules that either allows or blocks transactions for a given merchant category bundled inside that one template.","type":"string","pattern":"^PSR-[0-9A-HJKMNP-TV-Z]{26}$","examples":["PSR-XXXXXXXXXXXXXXXXXXXXXXXXXX"],"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.1.usage_config.spend_rules_template_id","typeLabel":"string"}},"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.1.usage_config","typeLabel":"Usage configuration · object"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.1","typeLabel":"Single · object"},{"type":"object","title":"Template","description":"Payout selection template. Template having predefined set of products.","required":["type","template_id"],"properties":{"type":{"type":"string","const":"TEMPLATE","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.2.type","typeLabel":"string"},"template_id":{"title":"Payout selection template ID","description":"The template ID for a Payout Selection Template.","examples":["PT-01HPSF51G0ZWHJ3JTNWRH0WDYK"],"type":"string","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.2.template_id","typeLabel":"string"},"values":{"title":"Values","description":"The codes for products selected for Payout Selection Template.","examples":[["AMZ-US","AIRBNB-US"]],"minItems":2,"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.2.values.items.[INDEX]","typeLabel":"string"},"uniqueItems":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.2.values","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.2","typeLabel":"Template · object"},{"type":"object","title":"Unknown","description":"Product(s) unknown. It was not possible to determine which products were included in the order.","required":["type"],"properties":{"type":{"title":"Type","description":"It is not currently possible to determine which products were selected when this item was ordered.","type":"string","const":"UNKNOWN","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.3.type","typeLabel":"string"}},"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products.oneOf.3","typeLabel":"Unknown · object"}],"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].products","typeLabel":"Multiple · object | Single · object | Template · object | Unknown · object"},"face_value":{"title":"Face Value","description":"The face value of the payout link.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].face_value","typeLabel":"string\u003cdecimal>"},"price":{"title":"Price","description":"The price paid for the payout link.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].price","typeLabel":"string\u003cdecimal>"},"payout":{"title":"Payout","type":"object","properties":{"status":{"title":"Payout status","type":"string","description":"Current status of the payout link. An `ACTIVE` link is live but has not been claimed yet, it will change to `CLAIMED` once that has happened. If you request a cancellation the status will reflect this as `CANCELLED`. Finally, if your account is configured with link expiry, when the link itself expires it will be marked as `EXPIRED` — this is independent of the underlying product's own expiry policy.","enum":["ACTIVE","CLAIMED","CANCELLED","EXPIRED"],"isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.status","typeLabel":"enum\u003cstring>"},"status_updated_at":{"title":"Status Updated At","description":"Time that the payout link status was last updated","type":"string","format":"date-time","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.status_updated_at","typeLabel":"string\u003cdate-time>"},"url":{"title":"Url","description":"The URL (payout link) the end user uses to redeem.","type":"string","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.url","typeLabel":"string"},"expiry_date":{"oneOf":[{"title":"Expiry Date","description":"When the payout link expires. This is the expiry of the payout link itself, not the underlying gift card or product.\n\nIf your account does not have expiry of links enabled this field will be set to `null`, the link does not expire.","type":"string","format":"date-time","uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.expiry_date.oneOf.0","typeLabel":"string\u003cdate-time>"},{"title":"Expiry Date","description":"When the payout link expires. This is the expiry of the payout link itself, not the underlying gift card or product.\n\nIf your account does not have expiry of links enabled this field will be set to `null`, the link does not expire.","type":"null","format":"date-time","uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.expiry_date.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.\\items.items.[INDEX].payout.expiry_date","typeLabel":"string\u003cdate-time> | null"}},"required":["status","status_updated_at","url"],"description":"Payout link details","isRequired":true,"uniqueKey":"oneOf.0.\\items.items.[INDEX].payout","typeLabel":"Payout · object"},"currency":{"type":"string","format":"iso-4217","pattern":"^[A-Z]{3}$","description":"The currency of the payout link, represented by ISO 4217 currency codes.","examples":["USD"],"uniqueKey":"oneOf.0.\\items.items.[INDEX].currency","typeLabel":"string\u003ciso-4217>"}},"required":["id","distribution_method","products","face_value","price","payout"],"uniqueKey":"oneOf.0.\\items.items.[INDEX]","typeLabel":"Completed order item · object"},"isRequired":true,"uniqueKey":"oneOf.0.\\items","typeLabel":"Completed order item · object[]"},"completed_at":{"title":"Completed At","description":"UTC timestamp, in ISO 8601 format, when the order was completed.","type":"string","format":"date-time","uniqueKey":"oneOf.0.completed_at","typeLabel":"string\u003cdate-time>"},"description":{"oneOf":[{"title":"Description","description":"Free format text reference for the order. The order description will not be visible to the end user. You will see this description in the Runa web portal.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"string","maxLength":128,"examples":["Your own reference text"],"uniqueKey":"oneOf.0.description.oneOf.0","typeLabel":"string"},{"title":"Description","description":"Free format text reference for the order. The order description will not be visible to the end user. You will see this description in the Runa web portal.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"null","maxLength":128,"examples":["Your own reference text"],"uniqueKey":"oneOf.0.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.description","typeLabel":"string | null"},"transaction_detail":{"title":"Transaction detail","description":"A mapping of the subtotal of the order using the payout currency as a key.","type":"object","examples":[{"USD":{"value":"10.00","fx":null}}],"propertyNames":{"$ref":"#/components/schemas/Currency"},"additionalProperties":{"type":"object","title":"Transaction detail entry","description":"A subtotal of the value purchased and associated fees and data about the transaction.","properties":{"value":{"title":"Value","description":"The total value purchased of a payout link currency.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["10.00"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.value","typeLabel":"string\u003cdecimal>"},"fx":{"oneOf":[{"type":"object","title":"FX details","description":"Provides details on fx conversion for an order transaction detail. Present when the payment method currency is different from the transaction detail currency.","required":["rate","rate_symbol","fee"],"properties":{"rate":{"title":"FX Rate","description":"The FX rate received for the transaction between the payout currency and payment currency.","type":"string","examples":["1.234"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0.rate","typeLabel":"string"},"rate_symbol":{"title":"FX Rate symbol","description":"The currency pair associated with the FX transaction.","type":"string","examples":["GBPUSD"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0.rate_symbol","typeLabel":"string"},"fee":{"title":"Fee","description":"The fee charged for making this transaction.","type":"object","properties":{"value":{"title":"Value","description":"The value of the fee.","type":"string","format":"decimal","pattern":"^[0-9]+(\\.[0-9]{1,2})?$","examples":["0.02"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0.fee.value","typeLabel":"string\u003cdecimal>"},"currency":{"title":"Currency","description":"The currency of the fee.","type":"string","examples":["USD"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0.fee.currency","typeLabel":"string"}},"required":["value","currency"],"isRequired":true,"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0.fee","typeLabel":"Fee · object"}},"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.0","typeLabel":"FX details · object"},{"type":"null","title":"FX","description":"Present only when the payment method currency differs from the transaction detail currency. `null` otherwise.","uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.transaction_detail.additionalProperties.fx","typeLabel":"FX details · object | null"}},"required":["value"],"uniqueKey":"oneOf.0.transaction_detail.additionalProperties","typeLabel":"Transaction detail entry · object"},"uniqueKey":"oneOf.0.transaction_detail","typeLabel":"Transaction detail · object"},"metadata":{"oneOf":[{"title":"Metadata","description":"A flexible field for you to attach additional, customer-specific data to the order. This is for your internal use, the information stored here will not be exposed to the end user.\n- All keys and their corresponding values must be strings\n- Each order supports up to 20 key-value pairs\n- Keys have a maximum length of 40 characters\n- Values can be up to 200 characters long.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"object","maxProperties":20,"propertyNames":{"type":"string","maxLength":40},"additionalProperties":{"type":"string","maxLength":200,"uniqueKey":"oneOf.0.metadata.oneOf.0.additionalProperties","typeLabel":"string"},"examples":[{"internal_id":"12345","department":"marketing","campaign":"summer_2024"}],"uniqueKey":"oneOf.0.metadata.oneOf.0","typeLabel":"Metadata · object"},{"title":"Metadata","description":"A flexible field for you to attach additional, customer-specific data to the order. This is for your internal use, the information stored here will not be exposed to the end user.\n- All keys and their corresponding values must be strings\n- Each order supports up to 20 key-value pairs\n- Keys have a maximum length of 40 characters\n- Values can be up to 200 characters long.\n\nThis field is optional and can be omitted if not needed.\nIf not provided, the field will be set to `null` in the response.","type":"null","maxProperties":20,"propertyNames":{"type":"string","maxLength":40},"additionalProperties":{"type":"string","maxLength":200,"uniqueKey":"oneOf.0.metadata.oneOf.1.additionalProperties","typeLabel":"string"},"examples":[{"internal_id":"12345","department":"marketing","campaign":"summer_2024"}],"uniqueKey":"oneOf.0.metadata.oneOf.1","typeLabel":"null"}],"uniqueKey":"oneOf.0.metadata","typeLabel":"Metadata · object | null"}},"uniqueKey":"oneOf.0","typeLabel":"Completed order · object"},{"type":"object","title":"Accepted order","description":"The body of `POST /order`. `COMPLETED` (HTTP 200) when the order was executed synchronously, `PROCESSING` (HTTP 202) when it was accepted for asynchronous processing. Asynchronous is the default execution mode; send `X-Execution-Mode: sync` for the synchronous path. Branch on `status`.","required":["id","status"],"properties":{"id":{"title":"Order ID","description":"The ID of the order.","type":"string","examples":["O-01H5WQGHKCBB85MQFM68S9KJ5Q"],"isRequired":true,"uniqueKey":"oneOf.1.id","typeLabel":"string"},"status":{"type":"string","const":"PROCESSING","description":"Always `PROCESSING` for this schema.","isRequired":true,"uniqueKey":"oneOf.1.status","typeLabel":"string"}},"uniqueKey":"oneOf.1","typeLabel":"Accepted order · object"}],"uniqueKey":"","typeLabel":"Completed order · object | Accepted order · object"},"examples":{"Example":{"title":"Example","value":{"id":"O-01H5WQGHKCBB85MQFM68S9KJ5Q","status":"PROCESSING","created_at":"2023-11-07T05:31:56Z","payment_method":{"type":"ACCOUNT_BALANCE","currency":"USD"},"currency":"USD","total_price":"10.00","total_discount":"1.00","items":[{"id":"E-NWPEKW4VL","distribution_method":{"type":"EMAIL","email_address":"fred@example.com","template_id":"DT-01HPSF51G0ZWHJ3JTNWRH0WDYK"},"products":{"type":"MULTIPLE","values":["AMZ-US","AIRBNB-US"]},"face_value":"10.00","price":"10.00","payout":{"status":"ACTIVE","status_updated_at":"2023-11-07T05:31:56Z","url":"\u003cstring>","expiry_date":"2023-11-07T05:31:56Z"},"currency":"USD"}],"completed_at":"2023-11-07T05:31:56Z","description":"Your own reference text","transaction_detail":{"USD":{"value":"10.00","fx":null}},"metadata":{"internal_id":"12345","department":"marketing","campaign":"summer_2024"}}}},"exampleType":"generated"}},"exampleType":"generated"},"cbfc468f-341b-4595-a3c2-59629923858a":{"description":"Bad request","content":{"application/json":{"schema":{"title":"Error","required":["type","message"],"type":"object","properties":{"type":{"title":"Type","description":"An error code or type.","type":"string","examples":["not_found"],"isRequired":true,"uniqueKey":"type","typeLabel":"string"},"message":{"title":"Message","description":"A human readable summary of the error.","type":"string","examples":["The requested resource was not found"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"help":{"oneOf":[{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"string","examples":["Please check the resource ID and try again."],"uniqueKey":"help.oneOf.0","typeLabel":"string"},{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"null","examples":["Please check the resource ID and try again."],"uniqueKey":"help.oneOf.1","typeLabel":"null"}],"uniqueKey":"help","typeLabel":"string | null"}},"description":"Generic Runa API error response.","uniqueKey":"","typeLabel":"Error · object"},"examples":{"Example":{"title":"Example","value":{"type":"not_found","message":"The requested resource was not found","help":"Please check the resource ID and try again."}}},"exampleType":"generated"}},"exampleType":"generated"},"118e6719-2460-4d19-b3fd-fe6609e50bcd":{"description":"Unauthorized","content":{"application/json":{"schema":{"title":"Error","required":["type","message"],"type":"object","properties":{"type":{"title":"Type","description":"An error code or type.","type":"string","examples":["not_found"],"isRequired":true,"uniqueKey":"type","typeLabel":"string"},"message":{"title":"Message","description":"A human readable summary of the error.","type":"string","examples":["The requested resource was not found"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"help":{"oneOf":[{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"string","examples":["Please check the resource ID and try again."],"uniqueKey":"help.oneOf.0","typeLabel":"string"},{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"null","examples":["Please check the resource ID and try again."],"uniqueKey":"help.oneOf.1","typeLabel":"null"}],"uniqueKey":"help","typeLabel":"string | null"}},"description":"Generic Runa API error response.","uniqueKey":"","typeLabel":"Error · object"},"examples":{"Example":{"title":"Example","value":{"type":"not_found","message":"The requested resource was not found","help":"Please check the resource ID and try again."}}},"exampleType":"generated"}},"exampleType":"generated"},"fae21b3e-fa53-444e-bcc8-dccd4531c7fc":{"description":"Forbidden","content":{"application/json":{"schema":{"title":"Error","required":["type","message"],"type":"object","properties":{"type":{"title":"Type","description":"An error code or type.","type":"string","examples":["not_found"],"isRequired":true,"uniqueKey":"type","typeLabel":"string"},"message":{"title":"Message","description":"A human readable summary of the error.","type":"string","examples":["The requested resource was not found"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"help":{"oneOf":[{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"string","examples":["Please check the resource ID and try again."],"uniqueKey":"help.oneOf.0","typeLabel":"string"},{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"null","examples":["Please check the resource ID and try again."],"uniqueKey":"help.oneOf.1","typeLabel":"null"}],"uniqueKey":"help","typeLabel":"string | null"}},"description":"Generic Runa API error response.","uniqueKey":"","typeLabel":"Error · object"},"examples":{"Example":{"title":"Example","value":{"type":"not_found","message":"The requested resource was not found","help":"Please check the resource ID and try again."}}},"exampleType":"generated"}},"exampleType":"generated"},"1f9021e5-e1fc-4ed4-ba1e-85c148f7e57a":{"description":"Request failed validation","content":{"application/json":{"schema":{"title":"Validation error","required":["type","message","details"],"type":"object","properties":{"type":{"title":"Type","description":"An error code or type.","type":"string","examples":["validation_error"],"isRequired":true,"uniqueKey":"type","typeLabel":"string"},"message":{"title":"Message","description":"A human readable summary of the error.","type":"string","examples":["There were one or more problems processing your request, see details key."],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"details":{"title":"Details","description":"Additional details regarding the error.","type":"array","items":{"title":"Validation error item","required":["type","message","location"],"type":"object","properties":{"type":{"title":"Type","description":"The type of error encountered.","type":"string","examples":["value_error.number.not_ge"],"isRequired":true,"uniqueKey":"details.items.[INDEX].type","typeLabel":"string"},"message":{"title":"Message","description":"A human readable summary of the error.","type":"string","examples":["ensure this value is greater than or equal to 1"],"isRequired":true,"uniqueKey":"details.items.[INDEX].message","typeLabel":"string"},"location":{"title":"Location","description":"The location of the error in the submitted entity.","type":"array","items":{"type":"string","uniqueKey":"details.items.[INDEX].location.items.[INDEX]","typeLabel":"string"},"examples":[["items","0","face_value"]],"isRequired":true,"uniqueKey":"details.items.[INDEX].location","typeLabel":"string[]"}},"description":"A single validation error. The type indicates the error type and the message provides a human readable summary of the error. The location provides a path to the key in the request body.","uniqueKey":"details.items.[INDEX]","typeLabel":"Validation error item · object"},"isRequired":true,"uniqueKey":"details","typeLabel":"Validation error item · object[]"},"help":{"oneOf":[{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"string","examples":[null],"uniqueKey":"help.oneOf.0","typeLabel":"string"},{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"null","examples":[null],"uniqueKey":"help.oneOf.1","typeLabel":"null"}],"uniqueKey":"help","typeLabel":"string | null"}},"description":"A validation error response. Returned when the request failed validation. This response can contain multiple validation errors, see the details key for each.","uniqueKey":"","typeLabel":"Validation error · object"},"examples":{"Example":{"title":"Example","value":{"type":"validation_error","message":"There were one or more problems processing your request, see details key.","details":[{"type":"value_error.number.not_ge","message":"ensure this value is greater than or equal to 1","location":["items","0","face_value"]}],"help":null}}},"exampleType":"generated"}},"exampleType":"generated"},"a7ac1627-ea3f-4280-b80e-c95f83d54950":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"title":"Error","required":["type","message"],"type":"object","properties":{"type":{"title":"Type","description":"An error code or type.","type":"string","examples":["not_found"],"isRequired":true,"uniqueKey":"type","typeLabel":"string"},"message":{"title":"Message","description":"A human readable summary of the error.","type":"string","examples":["The requested resource was not found"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"help":{"oneOf":[{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"string","examples":["Please check the resource ID and try again."],"uniqueKey":"help.oneOf.0","typeLabel":"string"},{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"null","examples":["Please check the resource ID and try again."],"uniqueKey":"help.oneOf.1","typeLabel":"null"}],"uniqueKey":"help","typeLabel":"string | null"}},"description":"Generic Runa API error response.","uniqueKey":"","typeLabel":"Error · object"},"example":{"type":"rate_limit","message":"You've exceeded the rate limit, please wait a short period and try again.","help":"See https://developer.runa.io/rate-limits for details."},"examples":{"Example":{"title":"Example","value":{"type":"rate_limit","message":"You've exceeded the rate limit, please wait a short period and try again.","help":"See https://developer.runa.io/rate-limits for details."}}},"exampleType":"examples"}},"exampleType":"examples"},"d8262ea4-cb5e-4eee-9324-71546ff6bfda":{"description":"Internal server error","content":{"application/json":{"schema":{"title":"Error","required":["type","message"],"type":"object","properties":{"type":{"title":"Type","description":"An error code or type.","type":"string","examples":["not_found"],"isRequired":true,"uniqueKey":"type","typeLabel":"string"},"message":{"title":"Message","description":"A human readable summary of the error.","type":"string","examples":["The requested resource was not found"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"help":{"oneOf":[{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"string","examples":["Please check the resource ID and try again."],"uniqueKey":"help.oneOf.0","typeLabel":"string"},{"title":"Help","description":"Additional information that pertains to the error. `null` when there is nothing further to add.","type":"null","examples":["Please check the resource ID and try again."],"uniqueKey":"help.oneOf.1","typeLabel":"null"}],"uniqueKey":"help","typeLabel":"string | null"}},"description":"Generic Runa API error response.","uniqueKey":"","typeLabel":"Error · object"},"examples":{"Example":{"title":"Example","value":{"type":"not_found","message":"The requested resource was not found","help":"Please check the resource ID and try again."}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"c13eaab4-84f0-4490-9451-d5069feeb89b":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-Api-Key","description":"Your API key. See the [API key](/getting-started/api-key) page on details of how to generate and store your keys.","scopes":["create:order"],"schemeName":"ApiKeyAuth"}}},"servers":{"fdd1598e-dfc9-4c40-b0fd-0c4c728eb490":{"url":"https://playground.runa.io/v2","description":"Playground"},"78510288-7149-49e7-9c1f-3582a76e7efb":{"url":"https://api.runa.io/v2","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-Api-Key","description":"Your API key. See the [API key](/getting-started/api-key) page on details of how to generate and store your keys.","scopes":["create:order"],"schemeName":"ApiKeyAuth"},"schema":{"title":"X-Api-Key","type":"string","description":"Your API key. See the [API key](/getting-started/api-key) page on details of how to generate and store your keys.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"X-Api-Key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"reference/2024-02-05/openapi.json"},"subdomain":"runa","siteName":"Runa Developer Hub","title":"Create a new order - Runa Developer Hub","navMaps":{"firstHrefInVersion":{"2024-02-05":{"href":"/reference/2024-02-05/endpoint/orders/create","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-01-22T12:26:43.690Z","originalFileLocation":"reference/2024-02-05/endpoint/orders/create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a new order, supports both sync and async execution modes\">\u003cmeta data-mint-head name=\"application-name\" content=\"Runa Developer Hub\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/runa/w-pOszMLD-yA3smZ/_g
[...]
